﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.Http;
using wxWebAPI.Filters;

namespace wxWebAPI
{
    public static class WebApiConfig
    {
        public static void Register(HttpConfiguration config)
        {
            //跨域请求放行
            config.Filters.Add(new OptionsFilter());
            
            // Web API 配置和服务

            // Web API 路由
            config.MapHttpAttributeRoutes();


            //要插入在 appBuilder.UseWebApi 方法之前
            //调试模式，显示SwaggerUI接口列表，直接运行exe文件，则不显示SwaggerUI的接口列表
            //if (System.Diagnostics.Debugger.IsAttached) 
          //  SwaggerConfig.Register(config);


            config.Routes.MapHttpRoute(
                name: "DefaultApi",
                routeTemplate: "api/{controller}/{action}/{id}",
                defaults: new { id = RouteParameter.Optional }
            );

            config.Formatters.JsonFormatter.SerializerSettings.Converters.Insert(0,
                new Newtonsoft.Json.Converters.IsoDateTimeConverter()
                {
                    DateTimeFormat = "yyyy-MM-dd HH:mm:ss"
                });

           
        }
    }
}
